Affichage des résultats 1 à 10 sur 10

Discussion: Apache2.2 + PHP5.2 + MySQL5 pour Windows

  1. #1
    Date d'inscription
    mars 2003
    Localisation
    France
    Âge
    38
    Messages
    701
    Version de vBulletin
    3.8
    Hébergeur
    localhost
    Pouvoir de réputation
    59

    Message Apache2.2 + PHP5.2 + MySQL5 pour Windows

    Ce tutoriel est une installation minimale pour Windows XP, selon mes propres recommandations.

    Préparation
    1. Téléchargez les dernières versions de :
    2. Choisissez un répertoire serveur pour les fichiers et un répertoire serveur pour les données, par exemple :
      • C:\Web\www\ (vos pages web)
      • C:\Web\data\ (vos données mysql)
    3. Choisissez les trois répertoires d'installation, par exemple :
      • C:\Program Files\Apache
      • C:\Program Files\PHP
      • C:\Program Files\MySQL
    Apache
    1. À l'installation :
      • Network Domain = localhost
      • Server Name = localhost
      • pour tous les utilisateurs... comme un « service »
      • installation = typical
    2. Dans C:\Program Files\Apache\conf\httpd.conf faire apparaître :
      LoadModule php5_module "C:/Program Files/PHP/php5apache2_2.dll"
      AddType application/x-httpd-php .php .phtml
      PHPIniDir "C:/Program Files/PHP"
      ...
      DocumentRoot "C:/Web/www"
      ...
      <Directory "C:/Web/www">
      ...
      DirectoryIndex index.html index.html.var index.php
    PHP
    1. Copier C:\Program Files\PHP\php.ini-recommended en php.ini et y faire apparaître :
      include_path = ".;C:\Program Files\PHP\includes"
      ...
      doc_root = "C:\Web\www"
      ...
      extension_dir = "C:\Program Files\PHP\ext"
      ...
      extension=php_gd2.dll
      extension=php_mysql.dll
    2. Ajouter C:\Program Files\PHP à votre variable d'environnement Path :
      • Panneau de configuration -> Système -> Avancé -> Variables d'environnement -> Variables système -> Path -> Modifier
      • Redémarrer l'ordinateur
    MySQL
    1. À l'installation :
      • Choisissez « Custom », changez le répertoire d'installation, revenez en arrière, et choisissez « Typical ».
      • On « Skip » l'identification MySQL inutile.
      • MySQL Wizard : « Detailed Configuration »
        • Répertoire InnoDB : C:\Web\data\
        • Character Set : laissez Standard pour le moment, UTF-8 semble parfois causer des problèmes
        • Modify Security Settings : décocher
    2. Configuration de C:\Program Files\MySQL\my.ini :
      datadir="C:/Web/data/"
    3. Redémarrez le service MySQL. En cas d'échec, supprimez les anciens fichiers du répertoire C:\Web\data\ mais conservez les sous-répertoires évidemment, puis redémarrez le service.
    Fin
    Votre site est accessible à l'adresse http://localhost/.

    Pour plus de détails, vous pouvez consulter le tutoriel de Pitchoune : http://forum.vbulletin-fr.org/showthread.php?t=8773
    Dernière modification par Lumina ; 03/11/2006 à 00h20. Motif: PHP 5.2 est stable désormais
    Lumina, aventurière des mondes fantastiques

  2. #2
    Date d'inscription
    mars 2003
    Localisation
    France
    Âge
    38
    Messages
    701
    Version de vBulletin
    3.8
    Hébergeur
    localhost
    Pouvoir de réputation
    59
    Facultatif
    • Pour ne pas être accessible depuis l'extérieur, dans C:\Program Files\Apache\conf\httpd.conf faire apparaître après la ligne <Directory "C:/Web/www"> :
      Order deny,allow
      Allow from localhost
      Deny from all
    • Pour servir en français, dans C:\Program Files\Apache\conf\httpd.conf faire apparaître :
      Include conf/extra/httpd-languages.conf
      et dans C:\Program Files\Apache\conf\extra\httpd-languages.conf faire apparaître :
      LanguagePriority fr en ca cs da de el eo es et he hr it ja ko ltz nl nn no pl pt pt-BR ru sv zh-CN zh-TW
    • Pour afficher les messages d'erreur PHP, dans C:\Program Files\PHP\php.ini faire apparaître :
      display_errors = On
    Dernière modification par Lumina ; 24/10/2006 à 11h46.
    Lumina, aventurière des mondes fantastiques

  3. #3
    Date d'inscription
    septembre 2002
    Localisation
    France
    Âge
    34
    Messages
    11 287
    Version de vBulletin
    5.0
    Hébergeur
    Serveur dédié OVH
    Billets dans le blog
    13
    Pouvoir de réputation
    119
    Comme tu écris ce didacticiel, j'ai une question que je me suis résolu pour PHP 5.1 mais je ne sais pas pour PHP 5.2. Apache démarre en installation dans les services avec PHP ? Sous PHP 5.1, il faut aller chercher le fichier php5apache2.dll sur www.apachelounge.com.
    vBulletin Quality Assurance
    Développeur en chef de Project Tools 2.1+ pour vB 4 et 2.0 pour vB 3
    Restera très discret sur toutes les futures fonctionnalités de vBulletin ainsi que de vBulletin 5 Connect jusqu'à leur sortie publique ^^

    Tout MP d'aide -> Supprimé

  4. #4
    Date d'inscription
    mars 2003
    Localisation
    France
    Âge
    38
    Messages
    701
    Version de vBulletin
    3.8
    Hébergeur
    localhost
    Pouvoir de réputation
    59
    Pour Apache2, le fichier php5apache2.dll est déjà inclus dans PHP5.1 et PHP5.2, donc inutile de le récupérer ailleurs.

    Pour Apache2.2, le fichier php5apache2_2.dll n'est inclus que dans PHP5.2.

    Vérifie bien la ligne "LoadModule ...".
    Lumina, aventurière des mondes fantastiques

  5. #5
    Date d'inscription
    septembre 2002
    Localisation
    France
    Âge
    34
    Messages
    11 287
    Version de vBulletin
    5.0
    Hébergeur
    Serveur dédié OVH
    Billets dans le blog
    13
    Pouvoir de réputation
    119
    Je parlais pour la configuration de type Apache 2.2.3 + PHP 5.1.6 (ce que j'ai en local), avec le fichier cité dans mon message précédent (à récupérer sur un site "amateur" car php5apache2.dll en version PHP 5.1.x n'est pas compatible avec Apache 2.2.x), ça fonctionne très bien

    Donc, pour résumer, il y a un nouveau fichier appelé php5apache2_2.dll fourni, ça me va dans ce cas, merci
    vBulletin Quality Assurance
    Développeur en chef de Project Tools 2.1+ pour vB 4 et 2.0 pour vB 3
    Restera très discret sur toutes les futures fonctionnalités de vBulletin ainsi que de vBulletin 5 Connect jusqu'à leur sortie publique ^^

    Tout MP d'aide -> Supprimé

  6. #6
    Date d'inscription
    janvier 2005
    Localisation
    EU
    Âge
    34
    Messages
    1 428
    Version de vBulletin
    5.0
    Hébergeur
    Serveurs PRIMERGY
    Pouvoir de réputation
    56
    N'oubliez pas l'IIS et ASP .Net

    PS : je suis en Win.Serv.2003

  7. #7
    Date d'inscription
    mars 2003
    Localisation
    France
    Âge
    38
    Messages
    701
    Version de vBulletin
    3.8
    Hébergeur
    localhost
    Pouvoir de réputation
    59
    Je ne peux malheureusement pas t'aider, Alt.
    Lumina, aventurière des mondes fantastiques

  8. #8
    Date d'inscription
    janvier 2005
    Localisation
    EU
    Âge
    34
    Messages
    1 428
    Version de vBulletin
    5.0
    Hébergeur
    Serveurs PRIMERGY
    Pouvoir de réputation
    56
    Citation Envoyé par Lumina Voir le message
    Je ne peux malheureusement pas t'aider, Alt.
    Lumina, je voulais dire que l'IIS et l'ASP .Net sont déjà installé chez nous

    A+

  9. #9
    Date d'inscription
    septembre 2002
    Localisation
    France
    Âge
    34
    Messages
    11 287
    Version de vBulletin
    5.0
    Hébergeur
    Serveur dédié OVH
    Billets dans le blog
    13
    Pouvoir de réputation
    119
    Peut-être, mais ça n'influe en rien pour vBulletin qui peut se servir d'IIS et pas de l'ASP (il me semble que IIS est bourré de failles, à moins que cela soit corrigé depuis le temps...)
    vBulletin Quality Assurance
    Développeur en chef de Project Tools 2.1+ pour vB 4 et 2.0 pour vB 3
    Restera très discret sur toutes les futures fonctionnalités de vBulletin ainsi que de vBulletin 5 Connect jusqu'à leur sortie publique ^^

    Tout MP d'aide -> Supprimé

  10. #10
    Date d'inscription
    janvier 2005
    Localisation
    EU
    Âge
    34
    Messages
    1 428
    Version de vBulletin
    5.0
    Hébergeur
    Serveurs PRIMERGY
    Pouvoir de réputation
    56
    L"IIS et l'ASP .Net sont important pour installer un forum de "InstantForum.NET v4.1" de http://www.instantasp.co.uk/ et le vB est installé sous Apache 1 et 2.

    T'inquiètes c'est déjà corrigé y'a long temps

    A+

Informations de la discussion

Utilisateur(s) sur cette discussion

Il y a actuellement 1 utilisateur(s) naviguant sur cette discussion. (0 utilisateur(s) et 1 invité(s))

Discussions similaires

  1. [Dépannage & problèmes] - Passer de php/mysql4 vers php/mysql5
    Par ericdesmontagnes dans le forum Archives vBulletin 3.6.x
    Réponses: 6
    Dernier message: 26/07/2007, 00h16
  2. [Dépannage & problèmes] - Problème mysql5 et vbulletin 2.3.2
    Par diego75 dans le forum Archives vBulletin 2
    Réponses: 9
    Dernier message: 15/06/2007, 20h15
  3. MySQL4=>MySQL5
    Par Defiance dans le forum Programmation web
    Réponses: 1
    Dernier message: 30/11/2006, 21h09
  4. [Traduction française] - pour php5! comment faire pour traduire?
    Par memoli dans le forum Archives vBulletin 3.6.x
    Réponses: 0
    Dernier message: 15/11/2006, 23h43
  5. [Gestion serveur] - Apache2 + PHP5 + MySQL pour Windows XP (par Lumina)
    Par Lumina dans le forum FAQs
    Réponses: 15
    Dernier message: 26/07/2004, 20h58

Les tags pour cette discussion

Règles de messages

  • Vous ne pouvez pas créer de nouvelles discussions
  • Vous ne pouvez pas envoyer des réponses
  • Vous ne pouvez pas envoyer des pièces jointes
  • Vous ne pouvez pas modifier vos messages
  •